| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
MMCollisionInt Class Reference
Transport Properties

Calculation of Collision integrals. More...

`#include <MMCollisionInt.h>`

## Detailed Description

Calculation of Collision integrals.

This class provides functions that interpolate the tabulated collision integrals in Monchick and Mason [monchick1961].

Definition at line 24 of file MMCollisionInt.h.

## Public Member Functions
void | init (double tsmin, double tsmax, int loglevel=0)
| Initialize the object for calculation.
double | omega22 (double ts, double deltastar)
double | astar (double ts, double deltastar)
double | bstar (double ts, double deltastar)
double | cstar (double ts, double deltastar)
void | fit (int degree, double deltastar, double *astar, double *bstar, double *cstar)
void | fit_omega22 (int degree, double deltastar, double *om22)
double | omega11 (double ts, double deltastar)

## Private Member Functions
double | fitDelta (int table, int ntstar, int degree, double *c)

## Private Attributes
vector< vector< double > > | m_o22poly
vector< vector< double > > | m_apoly
vector< vector< double > > | m_bpoly
vector< vector< double > > | m_cpoly
vector< double > | m_logTemp
| Log temp.
int | m_nmin
int | m_nmax
int | m_loglevel
| loglevel

## Static Private Attributes
static double | delta [8]
static double | tstar22 [37]
static double | omega22_table [37 *8]
| Table of omega22 values from MM.
static double | tstar [39]
| table of tstar values
static double | astar_table [39 *8]
| astar table from MM
static double | bstar_table [39 *8]
| bstar table from MM
static double | cstar_table [39 *8]
| cstar table from MM

## Constructor & Destructor Documentation

## ◆ MMCollisionInt()

MMCollisionInt | ( |  | ) |
| inline

Definition at line 27 of file MMCollisionInt.h.

## ◆ ~MMCollisionInt()

virtual ~MMCollisionInt | ( |  | ) |
| inline virtual

Definition at line 28 of file MMCollisionInt.h.

## Member Function Documentation

## ◆ init()

void init | ( | double | tsmin,
|  | double | tsmax,
|  | int | loglevel = `0`
| ) |  |

Initialize the object for calculation.

Parameters

  tsmin | Minimum value of Tstar to carry out the fitting
  tsmax | Maximum value of Tstar to carry out the fitting
  loglevel | Set the loglevel for the object. The default loglevel is zero, indicating no output.

Definition at line 216 of file MMCollisionInt.cpp.

## ◆ omega22()

double omega22 | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 319 of file MMCollisionInt.cpp.

## ◆ astar()

double astar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 344 of file MMCollisionInt.cpp.

## ◆ bstar()

double bstar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 367 of file MMCollisionInt.cpp.

## ◆ cstar()

double cstar | ( | double | ts,
|  | double | deltastar
| ) |  |

Definition at line 390 of file MMCollisionInt.cpp.

## ◆ fit()

void fit | ( | int | degree,
|  | double | deltastar,
|  | double * | astar,
|  | double * | bstar,
|  | double * | cstar
| ) |  |

Definition at line 435 of file MMCollisionInt.cpp.

## ◆ fit_omega22()

void fit_omega22 | ( | int | degree,
|  | double | deltastar,
|  | double * | om22
| ) |  |

Definition at line 413 of file MMCollisionInt.cpp.

## ◆ omega11()

double omega11 | ( | double | ts,
|  | double | deltastar
| ) |  |
| inline

Definition at line 45 of file MMCollisionInt.h.

## ◆ fitDelta()

double fitDelta | ( | int | table,
|  | int | ntstar,
|  | int | degree,
|  | double * | c
| ) |  |
| private

Definition at line 295 of file MMCollisionInt.cpp.

## Member Data Documentation

## ◆ m_o22poly

vector<vector<double> > m_o22poly
| private

Definition at line 52 of file MMCollisionInt.h.

## ◆ m_apoly

vector<vector<double> > m_apoly
| private

Definition at line 53 of file MMCollisionInt.h.

## ◆ m_bpoly

vector<vector<double> > m_bpoly
| private

Definition at line 54 of file MMCollisionInt.h.

## ◆ m_cpoly

vector<vector<double> > m_cpoly
| private

Definition at line 55 of file MMCollisionInt.h.

## ◆ delta

double delta
| static private

Initial value:
= {0.0, 0.25, 0.50, 0.75, 1.0,
1.5, 2.0, 2.5
}

Definition at line 57 of file MMCollisionInt.h.

## ◆ tstar22

double tstar22
| static private

Initial value:
= {
0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0,
1.2, 1.4, 1.6, 1.8, 2.0, 2.5, 3.0, 3.5, 4.0,
5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 12.0, 14.0, 16.0,
18.0, 20.0, 25.0, 30.0, 35.0, 40.0, 50.0, 75.0, 100.0
}

Definition at line 58 of file MMCollisionInt.h.

## ◆ omega22_table

double omega22_table
| static private

Table of omega22 values from MM.

Definition at line 61 of file MMCollisionInt.h.

## ◆ tstar

double tstar
| static private

Initial value:
= {
0.0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0,
1.2, 1.4, 1.6, 1.8, 2.0, 2.5, 3.0, 3.5, 4.0,
5.0, 6.0, 7.0, 8.0, 9.0, 10.0, 12.0, 14.0, 16.0,
18.0, 20.0, 25.0, 30.0, 35.0, 40.0, 50.0, 75.0, 100.0, 500.0
}

table of tstar values

Definition at line 64 of file MMCollisionInt.h.

## ◆ astar_table

double astar_table
| static private

astar table from MM

Definition at line 67 of file MMCollisionInt.h.

## ◆ bstar_table

double bstar_table
| static private

bstar table from MM

Definition at line 70 of file MMCollisionInt.h.

## ◆ cstar_table

double cstar_table
| static private

cstar table from MM

Definition at line 73 of file MMCollisionInt.h.

## ◆ m_logTemp

vector<double> m_logTemp
| private

Log temp.

Definition at line 76 of file MMCollisionInt.h.

## ◆ m_nmin

int m_nmin
| private

Definition at line 78 of file MMCollisionInt.h.

## ◆ m_nmax

int m_nmax
| private

Definition at line 79 of file MMCollisionInt.h.

## ◆ m_loglevel

int m_loglevel
| private

loglevel

Definition at line 82 of file MMCollisionInt.h.

The documentation for this class was generated from the following files:

- MMCollisionInt.h
- MMCollisionInt.cpp